Bug 525899 - Update to MySQLTuner 1.1.1
Summary: Update to MySQLTuner 1.1.1
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mysqltuner
Version: el5
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 21:31 UTC by Nils Breunese
Modified: 2010-07-21 09:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-21 09:03:28 UTC


Attachments (Terms of Use)

Description Nils Breunese 2009-09-26 21:31:53 UTC
The current version in EPEL is version 0.9.8, the current version at mysqltuner.com is version 1.1.1.

Comment 1 manuel wolfshant 2009-09-27 19:25:54 UTC
as described on its main page, mysqltuner-1.1.1 has just been released and contains some code which was not extensively tested. So for sure this version will NOT end in EPEL any time soon.

However, since version 1.0.0 is in fedora for a couple of months, I will update the EPEL version to it, too.

Comment 2 Nils Breunese 2009-09-27 19:45:10 UTC
I'm using 1.1.1 on ~20 servers and it works fine. Also note that mysqltuner doesn't make any recommendations based on that 'briefly tested' patch.

I'd say 1.1.0 is more stable than 1.0.0 because of the bug fixes in 1.1.0, but following Fedora sounds fair as well.

Comment 3 manuel wolfshant 2009-09-30 13:32:48 UTC
I've just remembered ... mysqltuner-1.0.0-1.el5.noarch.rpm is in epel-testing since July. Would you mind testing it, please ?

Comment 4 Nils Breunese 2009-09-30 14:02:38 UTC
I have ran every version of MySQLTuner from before 1.0.0 in production on over a dozen servers without problems. I'm currently using a third-party yum repository that has MySQLTuner 1.1.1, but had 1.1.0 and 1.0.0 before. Unless the EPEL version same somehow heavily patched it should be fine.

Comment 5 manuel wolfshant 2009-09-30 14:10:43 UTC
Actually http://download.fedora.redhat.com/pub/epel/testing/5/{i386,x86_64}/ includes mysqltuner-1.0.0-1.el5.noarch.rpm already; according to the logs it was pushed from epel testing to stable since August.
That's all that I am going to do, until the fedora version is upgraded and tested for a decent period of time.

Comment 6 manuel wolfshant 2010-07-21 09:03:28 UTC
mysqltuner-1.1.1-1.el5 is in EPEL/stable since yesterday, after 2 weeks in testing.


Note You need to log in before you can comment on or make changes to this bug.